#pragma once

#include "IcEdUIContext.h"
class OdDbTableMenu : public OdStaticRxObject < IcEdUIContext >
{
public:
	ODRX_DECLARE_MEMBERS(OdDbTableMenu);
public:
    OdDbTableMenu() = default;
    virtual ~OdDbTableMenu() override = default;
	virtual void* getMenuContext(const OdRxClass* pClass) override;;
	virtual void  onCommand(OdUInt32 menuPickIndex)  override;
	virtual void  OnUpdateMenu()  override;
	virtual Position getPosition() const override;
    virtual bool canShowMenuFor(OdSelectionSetIteratorPtr iter, CContextMenuTableEntry* pContextEntry, bool bCurrentShowState) const override;
private:
	HMENU m_hm = 0;
};

typedef OdSmartPtr<OdDbTableMenu> AcDbTableMenuPtr;
